/*
  UMainForm.h

  This file is part of LPCCISP.

  LPCCISP was developed by Synapse(Hiroshi Tanigawa) in 2014.  LPCCISP
  is originally distributed at "Synapse's history of making gadgets"
  <http://www3.big.or.jp/~schaft/hardware/>

  LPCCISP is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  LPCCISP is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with LPCCISP.  If not, see <http://www.gnu.org/licenses/>.
*/


//---------------------------------------------------------------------------

#ifndef UMainFormH
#define UMainFormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
        TButton *WriteBtn;
        TOpenDialog *FileOpenDlg;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TLabel *Label1;
        TEdit *ComEdt;
        TUpDown *ComUpDown;
        TLabel *Label2;
        TEdit *FileNameEdt;
        TButton *FileNameBtn;
        TProgressBar *WriteProgressBar;
        TLabel *Label6;
        TCheckBox *DeleteChkBx;
        TCheckBox *AutoWriteChkBx;
        TTimer *FileTimer;
        TStatusBar *MainStatusBar;
        void __fastcall WriteBtnClick(TObject *Sender);
        void __fastcall ComEdtChange(TObject *Sender);
        void __fastcall FileNameBtnClick(TObject *Sender);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall AutoWriteChkBxClick(TObject *Sender);
        void __fastcall DeleteChkBxClick(TObject *Sender);
        void __fastcall FileTimerTimer(TObject *Sender);
        void __fastcall FileNameEdtChange(TObject *Sender);
private:	// [U[錾
        void SetMainStatusBarIdle();
        void EnableComponents();
public:		// [U[錾
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif
